MCP Tools Reference: home.googleapis.com

Tool: list_homes

Retrieves a list of homes the user has access to.

The following code sample shows how to use curl to call the list_homes MCP tool.

Curl Request
curl --location 'https://home.googleapis.com/mcp' \
--header 'Authorization: Bearer {oauth-access-token}' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_homes",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request for GetStructures.

Output Schema

Response for GetStructures.

GetStructuresResponse

JSON representation
{
  "structures": [
    {
      object (Structure)
    }
  ]
}
Fields
structures[]

object (Structure)

The list of structures the user has access to.

Structure

JSON representation
{
  "structureId": string,
  "displayName": string
}
Fields
structureId

string

Identifier. The unique identifier for the structure.

displayName

string

Output only. The display name of the structure.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ✅